When resize failed in hyperv, the error message isn't sufficient for debugging.

Bug #1238430 reported by GuoHui Liu on 2013-10-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
GuoHui Liu
Havana
Undecided
Unassigned

Bug Description

2013-10-09 18:43:35.867 5236 ERROR nova.compute.manager [req-a8a83c04-03b4-4579-897f-a9825d17231e 657da0d8cf4440eca4a4ebad6fa1248a 0f7a0b0633c64e8888e6324bfe88dc16] [instance: a278d507-2112-40c2-912b-84b104300ed7] Error: Cannot resize a VHD to a smaller size

It would be helpful to debug the original and newer size in this case.

GuoHui Liu (guohliu) on 2013-10-11
Changed in nova:
assignee: nobody → GuoHui LIu (guohliu)
tags: added: hyper-v

Fix proposed to branch: master
Review: https://review.openstack.org/51129

Changed in nova:
status: New → In Progress

Reviewed: https://review.openstack.org/51129
Committed: http://github.com/openstack/nova/commit/6ee68137c5ea9af99c1db4e2a2ce555f43a9e3e1
Submitter: Jenkins
Branch: master

commit 6ee68137c5ea9af99c1db4e2a2ce555f43a9e3e1
Author: guohliu <email address hidden>
Date: Fri Oct 11 14:35:21 2013 +0800

    Hyper-v: Change the hyper-v error log for debug when resize failed

    The error message is not sufficient enough for debug of hyper-v
    when resize error occured, this patch adding the necessary info
    in error log.

    Change-Id: Ic8ecb8f08139face2c7bdca258de5e719d81833c
    Closes-bug: #1238430

Changed in nova:
status: In Progress → Fix Committed

There's an error, sorry for noticing it only now after it merged.

root_vhd should be replaced with: root_vhd_internal_size

You cannot compare an internal size with a file size.

Changed in nova:
milestone: none → icehouse-1
Thierry Carrez (ttx) on 2013-12-04
Changed in nova:
status: Fix Committed → Fix Released
Changed in nova:
importance: Undecided → Low
tags: added: havana-backport-potential
Thierry Carrez (ttx) on 2014-04-17
Changed in nova:
milestone: icehouse-1 → 2014.1

Reviewed: https://review.openstack.org/83520
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=13a9f6fdf0e2c75fbff49c003d7424c74e87fb5e
Submitter: Jenkins
Branch: stable/havana

commit 13a9f6fdf0e2c75fbff49c003d7424c74e87fb5e
Author: guohliu <email address hidden>
Date: Fri Oct 11 14:35:21 2013 +0800

    Hyper-v: Change the hyper-v error log for debug when resize failed

    The error message is not sufficient enough for debug of hyper-v
    when resize error occured, this patch adding the necessary info
    in error log.

    Closes-bug: #1238430
    (cherry-picked from commit 6ee68137c5ea9af99c1db4e2a2ce555f43a9e3e1)

    Change-Id: Ic8ecb8f08139face2c7bdca258de5e719d81833c

tags: added: in-stable-havana
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers